# -*-makefile-*-
#
# Copyright (C) 2007 by Sascha Hauer
#               2009, 2010 by Marc Kleine-Budde <mkl@pengutronix.de>
#               2013 by Martin Krause <martin.krause@tqs.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_U_BOOT_SPI) += u-boot-spi

#
# Paths and names
#
U_BOOT_SPI_VERSION	:= $(call remove_quotes,$(PTXCONF_U_BOOT_SPI_VERSION))
U_BOOT_SPI_MD5		:= $(call remove_quotes,$(PTXCONF_U_BOOT_SPI_MD5))
U_BOOT_SPI		:= u-boot-$(U_BOOT_SPI_VERSION)
U_BOOT_SPI_SUFFIX	:= tar.bz2
U_BOOT_SPI_URL		:= http://ftp.denx.de/pub/u-boot/$(U_BOOT_SPI).$(U_BOOT_SPI_SUFFIX)
U_BOOT_SPI_SOURCE	:= $(SRCDIR)/$(U_BOOT_SPI).$(U_BOOT_SPI_SUFFIX)
U_BOOT_SPI_DIR		:= $(BUILDDIR)/$(U_BOOT_SPI)-spi

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

U_BOOT_SPI_PATH		:= PATH=$(CROSS_PATH)
U_BOOT_SPI_MAKE_OPT	:= CROSS_COMPILE=$(BOOTLOADER_CROSS_COMPILE) HOSTCC=$(HOSTCC)
U_BOOT_SPI_MAKE_PAR	:= NO
U_BOOT_SPI_TAGS_OPT	:= ctags cscope etags

$(STATEDIR)/u-boot-spi.prepare:
	@$(call targetinfo)
	cd $(U_BOOT_SPI_DIR) && \
		$(U_BOOT_SPI_PATH) \
		$(MAKE) $(U_BOOT_SPI_MAKE_OPT) $(PTXCONF_U_BOOT_SPI_CONFIG)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-spi.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-spi.targetinstall:
	@$(call targetinfo)
	@install -D -m644 $(U_BOOT_SPI_DIR)/u-boot.bin $(IMAGEDIR)/u-boot_spi.bin
ifdef PTXCONF_U_BOOT_SPI_INSTALL_SREC
	@install -D -m644 $(U_BOOT_SPI_DIR)/u-boot.srec $(IMAGEDIR)/u-boot_spi.srec
endif
ifdef PTXCONF_U_BOOT_SPI_INSTALL_ELF
	@install -D -m644 $(U_BOOT_SPI_DIR)/u-boot $(IMAGEDIR)/u-boot_spi.elf
endif
ifdef PTXCONF_U_BOOT_SPI_INSTALL_MLO
	@install -D -m644 $(U_BOOT_SPI_DIR)/MLO.byteswap $(IMAGEDIR)/MLO_spi.byteswap
endif
ifdef PTXCONF_U_BOOT_SPI_INSTALL_U_BOOT_IMG
	@install -D -m644 $(U_BOOT_SPI_DIR)/u-boot.img $(IMAGEDIR)/u-boot_spi.img
endif
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-spi.clean:
	@$(call targetinfo)
	@$(call clean_pkg, U_BOOT_SPI)
	@rm -f $(IMAGEDIR)/u-boot_spi.bin $(IMAGEDIR)/u-boot_spi.srec
	@rm -f $(IMAGEDIR)/u-boot_spi.elf $(IMAGEDIR)/u-boot_spi.img
	@rm -f @rm $(IMAGEDIR)/MLO_spi.byteswap

# vim: syntax=make
