# -*-makefile-*-
#
# Copyright (C) 2012 by Markus Niebel <Markus.Niebel@tqs.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_SDIMAGE_INSTALL_BL) += image-tqma28-hd

IMAGE_TQMA28_HD		:= image-tqma28-hd
IMAGE_TQMA28_HD_DIR	:= $(BUILDDIR)/$(IMAGE_TQMA28_HD)
IMAGE_TQMA28_HD_IMAGE	:= $(IMAGEDIR)/$(PTXCONF_PLATFORM)_hd.img

ifeq ($(PTXCONF_PLATFORM), tqma28-fsl)
BOOTLOADER_IMAGE	:= $(IMAGEDIR)/imx28_ivt_uboot.sb
else
BOOTLOADER_IMAGE	:= $(IMAGEDIR)/u-boot.sb
endif

SEL_ROOTFS-$(PTXCONF_SDIMAGE_INSTALL_BL) += $(IMAGE_TQMA28_HD_IMAGE)

$(IMAGE_TQMA28_HD_IMAGE): $(BOOTLOADER_IMAGE) $(IMAGEDIR)/hd2.img
	@echo -e "Installing $(BOOTLOADER_IMAGE) into image file"
	@mv $(IMAGEDIR)/hd2.img $(IMAGE_TQMA28_HD_IMAGE)
	@sdimage -f $(BOOTLOADER_IMAGE) -d $(IMAGE_TQMA28_HD_IMAGE)

# vim: syntax=make
